package cn.yw.video.videostate.model;

import cn.base.bean.BaseBean;
//[运维监控当前状态表]

public class YwvideocurrentstateBean extends BaseBean implements java.io.Serializable {
	private String currentstateid;//[当前状态id]
	private String videonum;//[设备编号]
	private int channelnum;//[通道编号]
	private String channelname;//[通道名称]
	private String videocatalog;//[监控行政目录]
	private int currentstate;//[当前状态]
	private String currentstatetime;//[检测时间]
	private int isonline;//[是否在线]
	private int playfail;//[播放失败]
	private int networkerror;//[网络异常]
	private int vqcstate;//[抽帧状态]
	private String vqcfailuretype;//[抽帧故障类型]
	private String vqcfailurecause;//[抽帧故障原因]
	private String vqctaskid;//[抽帧任务id]
	private int videostatus;//[监控状态]
	private String videofailurecause;//[故障原因]
	private int vqdstate;//[质量诊断状态]
	private int nosignalstatus;//[无信号检测状态]
	private int imgclearstatus;//[图像清晰检测状态]
	private int imgcontraststatus;//[图像对比检测状态]
	private int imgcolorstatus;//[颜色检测状态]
	private int imglightstatus;//[亮度检测状态]
	private int videofreezestatus;//[视频冻结检测状态]
	private int videojitterstatus;//[镜头抖动检测状态]
	private int videoupheavalstatus;//[视频剧变检测状态]
	private int videocodeerrorstatus;//[编码异常检测状态]
	private int videonoisestatus;//[噪声雪花检测状态]
	private int videorollstripestatus;//[滚动条纹检测状态]
	private String vqdfailuretype;//[质量诊断故障类型]
	private String vqdfailurecause;//[质量诊断故障原因]
	private String vqdtaskid;//[质量诊断任务id]
	private int recordstate;//[录像状态]
	private String recordfailuretype;//[录像故障类型]
	private String recordfailurecause;//[录像故障原因]
	private String recordtaskid;//[录像任务id]
	private int videolabelstatus;//[标记状态]
	private String videolabeltime;//[标记时间]
	private String videolabelaccount;//[标记人员]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setCurrentstateid(String currentstateid){
		this.currentstateid = currentstateid;
	}
	public String getCurrentstateid(){
		return currentstateid;
	}
	public void setVideonum(String videonum){
		this.videonum = videonum;
	}
	public String getVideonum(){
		return videonum;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setChannelname(String channelname){
		this.channelname = channelname;
	}
	public String getChannelname(){
		return channelname;
	}
	public void setVideocatalog(String videocatalog){
		this.videocatalog = videocatalog;
	}
	public String getVideocatalog(){
		return videocatalog;
	}
	public void setCurrentstate(int currentstate){
		this.currentstate = currentstate;
	}
	public int getCurrentstate(){
		return currentstate;
	}
	public void setCurrentstatetime(String currentstatetime){
		this.currentstatetime = currentstatetime;
	}
	public String getCurrentstatetime(){
		return currentstatetime;
	}
	public void setIsonline(int isonline){
		this.isonline = isonline;
	}
	public int getIsonline(){
		return isonline;
	}
	public void setPlayfail(int playfail){
		this.playfail = playfail;
	}
	public int getPlayfail(){
		return playfail;
	}
	public void setNetworkerror(int networkerror){
		this.networkerror = networkerror;
	}
	public int getNetworkerror(){
		return networkerror;
	}
	public void setVqcstate(int vqcstate){
		this.vqcstate = vqcstate;
	}
	public int getVqcstate(){
		return vqcstate;
	}
	public void setVqcfailuretype(String vqcfailuretype){
		this.vqcfailuretype = vqcfailuretype;
	}
	public String getVqcfailuretype(){
		return vqcfailuretype;
	}
	public void setVqcfailurecause(String vqcfailurecause){
		this.vqcfailurecause = vqcfailurecause;
	}
	public String getVqcfailurecause(){
		return vqcfailurecause;
	}
	public void setVqctaskid(String vqctaskid){
		this.vqctaskid = vqctaskid;
	}
	public String getVqctaskid(){
		return vqctaskid;
	}
	public void setVideostatus(int videostatus){
		this.videostatus = videostatus;
	}
	public int getVideostatus(){
		return videostatus;
	}
	public void setVideofailurecause(String videofailurecause){
		this.videofailurecause = videofailurecause;
	}
	public String getVideofailurecause(){
		return videofailurecause;
	}
	public void setVqdstate(int vqdstate){
		this.vqdstate = vqdstate;
	}
	public int getVqdstate(){
		return vqdstate;
	}
	public void setNosignalstatus(int nosignalstatus){
		this.nosignalstatus = nosignalstatus;
	}
	public int getNosignalstatus(){
		return nosignalstatus;
	}
	public void setImgclearstatus(int imgclearstatus){
		this.imgclearstatus = imgclearstatus;
	}
	public int getImgclearstatus(){
		return imgclearstatus;
	}
	public void setImgcontraststatus(int imgcontraststatus){
		this.imgcontraststatus = imgcontraststatus;
	}
	public int getImgcontraststatus(){
		return imgcontraststatus;
	}
	public void setImgcolorstatus(int imgcolorstatus){
		this.imgcolorstatus = imgcolorstatus;
	}
	public int getImgcolorstatus(){
		return imgcolorstatus;
	}
	public void setImglightstatus(int imglightstatus){
		this.imglightstatus = imglightstatus;
	}
	public int getImglightstatus(){
		return imglightstatus;
	}
	public void setVideofreezestatus(int videofreezestatus){
		this.videofreezestatus = videofreezestatus;
	}
	public int getVideofreezestatus(){
		return videofreezestatus;
	}
	public void setVideojitterstatus(int videojitterstatus){
		this.videojitterstatus = videojitterstatus;
	}
	public int getVideojitterstatus(){
		return videojitterstatus;
	}
	public void setVideoupheavalstatus(int videoupheavalstatus){
		this.videoupheavalstatus = videoupheavalstatus;
	}
	public int getVideoupheavalstatus(){
		return videoupheavalstatus;
	}
	public void setVideocodeerrorstatus(int videocodeerrorstatus){
		this.videocodeerrorstatus = videocodeerrorstatus;
	}
	public int getVideocodeerrorstatus(){
		return videocodeerrorstatus;
	}
	public void setVideonoisestatus(int videonoisestatus){
		this.videonoisestatus = videonoisestatus;
	}
	public int getVideonoisestatus(){
		return videonoisestatus;
	}
	public void setVideorollstripestatus(int videorollstripestatus){
		this.videorollstripestatus = videorollstripestatus;
	}
	public int getVideorollstripestatus(){
		return videorollstripestatus;
	}
	public void setVqdfailuretype(String vqdfailuretype){
		this.vqdfailuretype = vqdfailuretype;
	}
	public String getVqdfailuretype(){
		return vqdfailuretype;
	}
	public void setVqdfailurecause(String vqdfailurecause){
		this.vqdfailurecause = vqdfailurecause;
	}
	public String getVqdfailurecause(){
		return vqdfailurecause;
	}
	public void setVqdtaskid(String vqdtaskid){
		this.vqdtaskid = vqdtaskid;
	}
	public String getVqdtaskid(){
		return vqdtaskid;
	}
	public void setRecordstate(int recordstate){
		this.recordstate = recordstate;
	}
	public int getRecordstate(){
		return recordstate;
	}
	public void setRecordfailuretype(String recordfailuretype){
		this.recordfailuretype = recordfailuretype;
	}
	public String getRecordfailuretype(){
		return recordfailuretype;
	}
	public void setRecordfailurecause(String recordfailurecause){
		this.recordfailurecause = recordfailurecause;
	}
	public String getRecordfailurecause(){
		return recordfailurecause;
	}
	public void setRecordtaskid(String recordtaskid){
		this.recordtaskid = recordtaskid;
	}
	public String getRecordtaskid(){
		return recordtaskid;
	}
	public void setVideolabelstatus(int videolabelstatus){
		this.videolabelstatus = videolabelstatus;
	}
	public int getVideolabelstatus(){
		return videolabelstatus;
	}
	public void setVideolabeltime(String videolabeltime){
		this.videolabeltime = videolabeltime;
	}
	public String getVideolabeltime(){
		return videolabeltime;
	}
	public void setVideolabelaccount(String videolabelaccount){
		this.videolabelaccount = videolabelaccount;
	}
	public String getVideolabelaccount(){
		return videolabelaccount;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}